/*
 * @author		Alfonso Muñoz-Pomer Fuentes, 
 * 				<a href="mailto:alfonso.munozpomer@biotechvana.com">
 * 				alfonso.munozpomer@biotechvana.com</a>,  
 * 				<a href="http://www.biotechvana.com">Biotechvana</a>
 *
 * @date		2010-09-01
 * 
 * @license		See <a href="http://www.biotechvana.com></a>
 *
 * @copyright	Copyright Biotech Vana, S.L. 2006-2010
 */

package com.biotechvana.javabiotoolkit.exceptions;

/**
 * Exception thrown if any of the main fields in a GenBank file (LOCUS, FEATURES and ORIGIN) are either missing or 
 * in the incorrect order. To know which of these anomaly is causing the exception, you may check the exception 
 * message.  
 * 
 * @version	1.1, 2010-12-01
 * 
 * @author	<a href="mailto:alfonso.munozpomer@biotechvana.com">Alfonso Muñoz-Pomer Fuentes</a>,
 * 			<a href="http://www.biotechvana.com">Biotechvana</a>.
 *
 */
public class GenBankFeaturesException 
extends Exception
{
	/**
	 * Auto-generated by Eclipse.
	 */
	private static final long serialVersionUID = 197210351241204800L;

	/**
	 * Default constructor with no arguments.
	 * 
	 * @since	1.1
	 * 
	 * @see		<a href="http://download.oracle.com/javase/6/docs/api/java/lang/Exception.html">Exception</a>
	 */
	public GenBankFeaturesException()
	{
		super();
	}
	
	/**
	 * Default constructor with <code>String</code> argument.
	 * 
	 * @param	message	the detail message.
	 * 
	 * @since	1.1
	 * 
	 * @see		<a href="http://download.oracle.com/javase/6/docs/api/java/lang/Exception.html">Exception</a>
	 */
	public GenBankFeaturesException(String message)
	{
		super(message);
	}
}
